Package org.eclipse.debug.ui.sourcelookup

# Class CommonSourceNotFoundEditorInput

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.debug.ui.sourcelookup.CommonSourceNotFoundEditorInput

All Implemented Interfaces:
  `IAdaptable`, `IEditorInput`

public class CommonSourceNotFoundEditorInput extends PlatformObject implements IEditorInput
Editor input for the `CommonSourceNotFoundEditor`. The editor input can be created on an artifact that has a source association.

This class may be instantiated and subclassed.

Since:
  3.2
See Also:
  - `CommonSourceNotFoundEditor`

## Constructor Summary

Constructors
Constructor
Description
`CommonSourceNotFoundEditorInput(Object artifact)`
Constructs an editor input for the given artifact associated with source.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`exists()`
Returns whether the editor input exists.
`Object`
`getArtifact()`
Returns the artifact that source was not found for.
`ImageDescriptor`
`getImageDescriptor()`
Returns the image descriptor for this input.
`String`
`getName()`
Returns the name of this editor input for display purposes.
`IPersistableElement`
`getPersistable()`
Returns an object that can be used to save the state of this editor input.
`String`
`getToolTipText()`
Returns the tool tip text for this editor input.

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Constructor Details

### CommonSourceNotFoundEditorInput

public CommonSourceNotFoundEditorInput(Object artifact)
Constructs an editor input for the given artifact associated with source.

Parameters:
  `artifact` - artifact associated with source

## Method Details

### exists

public boolean exists()
Description copied from interface: `IEditorInput`
Returns whether the editor input exists.

This method is primarily used to determine if an editor input should appear in the "File Most Recently Used" menu. An editor input will appear in the list until the return value of `exists` becomes `false` or it drops off the bottom of the list.

Specified by:
  `exists` in interface `IEditorInput`
Returns:
  `true` if the editor input exists; `false` otherwise

### getImageDescriptor

public ImageDescriptor getImageDescriptor()
Description copied from interface: `IEditorInput`
Returns the image descriptor for this input.

Note: although a null return value has never been permitted from this method, there are many known buggy implementations that return null. Clients that need the image for an editor are advised to use IWorkbenchPart.getImage() instead of IEditorInput.getImageDescriptor(), or to recover from a null return value in a manner that records the ID of the problematic editor input. Implementors that have been returning null from this method should pick some other default return value (such as ImageDescriptor.getMissingImageDescriptor()).

Specified by:
  `getImageDescriptor` in interface `IEditorInput`
Returns:
  the image descriptor for this input; may be `null` if there is no image.

### getName

public String getName()
Description copied from interface: `IEditorInput`
Returns the name of this editor input for display purposes.

For instance, when the input is from a file, the return value would ordinarily be just the file name.

Specified by:
  `getName` in interface `IEditorInput`
Returns:
  the name string; never `null`;

### getPersistable

public IPersistableElement getPersistable()
Description copied from interface: `IEditorInput`
Returns an object that can be used to save the state of this editor input.

Specified by:
  `getPersistable` in interface `IEditorInput`
Returns:
  the persistable element, or `null` if this editor input cannot be persisted

### getToolTipText

public String getToolTipText()
Description copied from interface: `IEditorInput`
Returns the tool tip text for this editor input. This text is used to differentiate between two input with the same name. For instance, MyClass.java in folder X and MyClass.java in folder Y. The format of the text varies between input types.

Specified by:
  `getToolTipText` in interface `IEditorInput`
Returns:
  the tool tip text; never `null`.

### getArtifact

public Object getArtifact()
Returns the artifact that source was not found for.

Returns:
  artifact that source was not found for